Skip to main content
Resource Center/Resource Pool/VM Instance Operations

CreateStartVmInstanceScheduler

CreateStartVmInstanceScheduler

POST/zstack/v1/vm-instances/{vmUuid}/schedulers/starting

Operation ID

CreateStartVmInstanceScheduler

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • vmUuid
    StringRequired

    The VM instance UUID.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • clusterUuid
      String

      Optional. The cluster UUID.

    • hostUuid
      String

      Optional. The host UUID.

    • schedulerName
      StringRequired

      The scheduler name.

    • schedulerDescription
      String

      Optional. The scheduler description.

    • type
      StringRequired

      The scheduler type, including: simple and cron.

    • interval
      Integer

      Optional. The scheduler interval. Unit: second.

    • repeatCount
      Integer

      Optional. The scheduler repeat count. This parameter is applied to only schedulers of the simple type.

    • startTime
      Long

      Optional. The scheduler start time, which must conform to the Unix timestamp format. If set to 0, the scheduler starts immediately.

    • cron
      String

      Optional. The Cron expression, which must conform to the Java Quartz Cron format.

    • resourceUuid
      String

      Optional. The UUID that is used to create a scheduler.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    SchedulerInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • targetResourceUuid
      StringRequired

      The target resource UUID.

    • schedulerName
      StringRequired

      The scheduler name.

    • schedulerJob
      StringRequired

      The scheduler job.

    • schedulerType
      StringRequired

      The scheduler type.

    • schedulerInterval
      IntegerRequired

      The scheduler interval.

    • repeatCount
      IntegerRequired

      The number of repeat.

    • cronScheduler
      StringRequired

      The cron scheduler.

    • startTime
      TimestampRequired

      The start time.

    • stopTime
      TimestampRequired

      The stop time.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • state
      StringRequired

      The resource state.